--[[----------------------------------------------------------------------------

This Any Filter Code criterion script returns true if the current photo 
has a capture date taken on today's month and day in any year.

Referenced fields: DateTimeOriginalCapture
------------------------------------------------------------------------------]]

local LrDate = import "LrDate"
local captureMonthDay = (DateTimeOriginalCapture or ""):sub (6, 10)
local todaysMonthDay = LrDate.timeToUserFormat (LrDate.currentTime (), "%m-%d")
return captureMonthDay == todaysMonthDay